/*
 *	MELANGE		- CHAT server for LINUX
 *			  Version 1.10
 *			  Released Apr-25-1999
 *
 *	Christian Walter
 *	chris@terminal.at
 * 	http://melange.terminal.at
 *	Vienna, Austria
 *
 **************************************
 *
 *	language.h (ENGLISH VERSION) by Christian Walter <chris@terminal.at>
 *
 *	REVISIONS:
 *		10-25-98 [cw]	original implementation
 *		10-29-98 [cw]	user kickout & invite users
 *		10-31-98 [cw]	admin forbids channels
 *		02-23-99 [cw]	first stable release
 *		04-25-99 [cw]	release 1.10
 */
 
/* IMPORTANT NOTE: Be careful changing the lines below. Make sure          */
/* that you leave ALL the placeholder (e.g. %s %d) inside the line,        */
/* in EXACTLY the same ORDER. You may change/move/remove/add text          */
/* before, between or after them, but they MUST STAY IN THE SAME ORDER     */
/* as they are now. (It's good to make a backup before you edit this file) */

/** MANHATTAN: next #defines are used to tell user whether msgs are
** logged or not when they /join a channel
*/
#define MSG_LOGGED1	"\r\nNotice!!! NOTICE!!! Notice!!! NOTICE!!!\r\n"
#define MSG_LOGGED2     "Conversations in this channel are recorded\r\n"
#define MSG_LOGGED3     "and can be viewed by anyone in your class.\r\n"
#define MSG_LOGGED4     "Use /join to move to another channel if you\r\n"
#define MSG_LOGGED5     "need to have a private conversation.\r\n\r\n"

#define MSG_NOTLOGGED   "Conversations in this channel are -->>NOT<-- recorded.\r\n"

#define MSG_LOGIN	"User %s came in from %s at line %d.\r\n"			// username, servername, line
#define MSG_WELCOME	"%s\nWelcome ! (Type /HELP for a list of commands)\r\n"		// version
#define MSG_WHISPER	"<%d> %s whispered: %s"						// line, username, msg
#define MSG_PAGE	"<%d> %s paged:::: you. %s"						// line, username, msg
#define MSG_YELL	"<YELLING> %s\r\n"						// msg
#define MSG_NOTINCHAT	"Sorry, but this person is not in the chat !\r\n"
#define MSG_SQUELCHYS	"You can't squelch yourself !\r\n"
#define MSG_SILENT	"You can't hear user %s [%d] any more :)\r\n"			// username, line
#define MSG_SQUELCHED	"You have been squelched by %s [%d]. :(\r\n"			// username, line
#define MSG_HEARAGAIN	"You can listen to %s [%d] again.\r\n"				// username, line
#define MSG_UNSQUELCHED "User %s [%d] is listening to you again. :)\r\n"		// username, line
#define MSG_USRLIST	"List of users in this channel (%s [%d])\r\n"			// channelname, cid
#define MSG_ISSQUELCHED	"[%d] %s     (squelched)"					// line, username (NOTE: NO \r\n at EOL)
#define MSG_WASCLOSED	"You are now in channel %s [%d], cause channel %s [%d] has been closed.\r\n"	//new channelname,new cid,channelname, cid
#define MSG_CLOSED	"You closed channel %d.\r\n"					//cid
#define MSG_LEAVE   	"[%d] %s left the chat.\r\n"					//line,username
#define MSG_BYE    	"Goodbye!\r\n\n"		
#define MSG_KILLYS	"Sorry, but you can't kill yourself !\r\n"
#define MSG_KICKEDOUT	"You have been kicked out by the administrator !\r\n"
#define MSG_WASKICKED	"User %s [%d] has been kicked out by the administrator !\r\n"	//username, line
#define MSG_KICK	"You kicked out %s [%d] !\r\n"					//username, line
#define MSG_NOVALIDCH	"This is not a valid channel !\r\n"
#define MSG_MUSTEXIST	"The channel you want to join must exist !\r\n"
#define MSG_ADMINCOMING	"ADMIN: The Chat-Admin %s [%d] is coming in.\r\n"		// username, line
#define MSG_NOVALIDNAME	"This is not a valid name !\r\n"
#define MSG_ANEWTOPIC	"ADMIN: This channel (Channel %d) is now called %s.\r\n"	// cid, param
#define MSG_NOVALIDUSR	"Sorry, that's not a valid user !\r\n"
#define MSG_ASYSCHANNEL	"ADMIN: This is now a SYSTEM-Channel.\r\n"
#define MSG_NOTINCH	"This person is not in your channel !\r\n"
#define MSG_AOWN	"ADMIN: This channel is now owned by: [%d] %s.\r\n"		// line, username
#define MSG_AYOURCH	"ADMIN: This channel is yours now !\r\n"
#define MSG_AUNKNOWN	"Unknown Admin-command !\r\n"
#define MSG_NEWNAME	"[%d] %s is called %s now.\r\n"					// line,username,name
#define MSG_YOURNEWNAME "Your new name is %s (Line %d).\r\n"				// username,line
#define MSG_ADMINNOW	"You are now the chat-server's administrator\r\n"
#define MSG_INVLOGIN	"Invalid login !\r\n"
#define MSG_NOTADMIN	"You are not the administrator !\r\n"
#define MSG_NOVUSREXT	"Sorry, that's not a valid user (NOTE: Enter user's <id> not <name>) !\r\n"
#define MSG_DONTSPEAK	"You didn't say anything !\r\n"
#define MSG_MSGSENT	"Your message has been sent to [%d] %s.\r\n"			// line,username
#define MSG_MSGPAGE	"You paged [%d] %s.\r\n"			// line,username
#define MSG_NEWOWN	"The new owner of this channel is [%d] %s.\r\n"			// line,username
#define MSG_YOUNEWOWN	"You are now the owner of this channel !\r\n"
#define MSG_NOTOWN	"Sorry, but you are not the owner of this channel !\r\n"	// line,username
#define MSG_LOCK	"Channel (%s [%d]) is now private.\r\n"				// channelname, cid
#define MSG_UNLOCK	"This channel has been unlocked again.\r\n"
#define MSG_NEWTOPIC	"Channel %d (%s) is now called %s.\r\n"				// cid,channelname,newname
#define MSG_NOTEXIST	"Sorry, this channel does not exist !\r\n"
#define MSG_ISLOCKED	"The channel %s [%d] is locked. You can't go there.\r\n"	// channelname,cid
#define MSG_MOVEDTO	"[%d] %s moved to channel %s [%d].\r\n"				// line,username,channelname,cid
#define MSG_COMEIN	"[%d] %s came in from channel %s [%d].::::\r\n"			// line,username,channelname,cid
#define MSG_INCH	"You are now in channel %s [%d].\r\n"				// channelname,cid
#define MSG_OPENEDCH	"[%d] %s opened the new channel %s.\r\n"			// line,username,channelname
#define MSG_INNEWCH	"You are now in your NEW channel (%s).\r\n"			// channelname
#define MSG_UNKNOWN	"Unknown command ! (Type /HELP for a help screen)\r\n"
#define MSG_KICKEDBYOWN "You have been kicked out of channel %d. You are now in channel 0.\r\n" // cid
#define MSG_ISHERE	"This person is already in your channel.\r\n"
#define MSG_INVITED	"%s [%d] invited you into his channel %d (%s).\r\n"		//user,uid,cid,channelname
#define MSG_INVITE	"You invited %s [%d] into your channel.\r\n"		//username,uid
#define MSG_ADMINCLOSED "ADMIN: You are not allowed to join or open this channel.\r\n"
#define MSG_FINGERLST	"List of users currently in this chat:\r\n"
#define MSG_CHANNELLST	"List of open channels:\r\n"
#define MSG_UNQWELCOME	"%s\nWelcome, type /LOGIN <nickname> to enter the chat, or /HELP !\r\n"	// version
#define MSG_UNQNOVALIDNAME "Sorry this nickname is already in use by another person !\r\n"
#define MSG_MOREUSERS   "There is more than one user with this nickname, use the <uid> instead !\r\n"
#define MSG_ADMINDIS 	"This command has been disabled by the administrator !\r\n"
#define MSG_IDLEKICKED  "You have been kicked out cause you didn't say a word for a while !\r\n"
#define MSG_WRONGGROUP  "Sorry, you are not allowed to change to this channel !\r\n"
#define MSG_GRPNOTEXIST "This is not a valid group. (Must be a number from 0 to %d)\r\n"	// maxgroups
#define MSG_NEWCHANGRP	"Channel %d (%s) belongs to group %d now.\r\n"				//cid, cname, group
#define MSG_WRONGRPPASSWD "Your password for this group is incorrect.\r\n"
#define MSG_NEWUSERGRP	"You are in group %d now.\r\n"					// ngroup
#define MSG_ME		"You are user [%d] %s, you are in channel %d (%s) and in group %d.\r\n"	// line, username, cid, channelname, group
#define MSG_WELCOME2	"%s\nWelcome !\n"		// version
#define MSG_FETCHED	"You moved to channel %s [%d], cause %s [%d] wanted you to be here.\r\n"				// channelname,cid

#define MSG_HELP1	"----------------------------------------------------------\r\n"
#define MSG_HELP2	"List of available commands (Commands start with '/')\r\n" 	
#define MSG_HELP3	"----------------------------------------------------------\r\n"
#define MSG_HELP4	"/MSG <line> <msg> ..... Send private msg to user at <line>\r\n"
#define MSG_HELP5	"/YELL ....... Cross channel yelling, everyone can listen !\r\n"    
#define MSG_HELP6	"/SQUELCH <id> ... Squelch/Unsquelch user with user id <id>\r\n"
#define MSG_HELP7	"/JOIN <channel id> ................... Change/open channel\r\n"
#define MSG_HELP8	"/TOPIC <channel name> .............. Change channel's name\r\n"
#define MSG_HELP9	"/NICK <name> ........................ Change your own name\r\n"
#define MSG_HELP10	"/LIST ........................ List all available channels\r\n"
#define MSG_HELP11	"/LOCK ........................... Lock/unlock your channel\r\n"
#define MSG_HELP12	"/OWN <id> ............... Change the owner of your channel\r\n"
#define MSG_HELP13	"/KICK <id> ...................... Kick user out of channel\r\n"
#define MSG_HELP14	"/INVITE <id> ............ Invite user <id> to your channel\r\n"
#define MSG_HELP15	"/WHOIS .................... Show all users in your channel\r\n"
#define MSG_HELP16	"/FINGER ........................ Show all user in the chat\r\n"
#define MSG_HELP17	"/VER ............................................. Version\r\n"
#define MSG_HELP18	"/ME ........................................... Who am I ?\r\n"
#define MSG_HELP19	"/HELP ............................................... Help\r\n"
#define MSG_HELP20	"/TIME ................................ Display date & time\r\n"
#define MSG_HELP21	"/QUIT ............................................. Logout\r\n"
#define MSG_HELP22	"/LOGIN <nickname>..........Enter the chat using <nickname>\r\n"
#define MSG_HELP23	"/PAGE <line>  ..... Page user at <line>\r\n"

#define MSG_HELP50	"------> Admin commands <----------------------------------\r\n"
#define MSG_HELP51	"/ADMIN ADD (=DENY,=ALLOW) ........... Add hostmask to list\r\n"
#define MSG_HELP52	"/ADMIN CHANGENICKS <yes/no> ...... Enable nickname changes\r\n"
#define MSG_HELP53	"/ADMIN CLOSE <channel> ..................... Close channel\r\n"
#define MSG_HELP54	"/ADMIN GUESTLOGIN <yes/no> ............ Enable guest login\r\n"
#define MSG_HELP55	"/ADMIN GROUP [groupnum] .................... List group(s)\r\n"
#define MSG_HELP56	"/ADMIN HELP .............................. This helpscreen\r\n"
#define MSG_HELP57	"/ADMIN IDLETIME <time> ....... Set the max IDLE-Time (sec)\r\n"
#define MSG_HELP58	"/ADMIN JOIN <channel> ..................... Join a channel\r\n"    
#define MSG_HELP59	"/ADMIN KICK <uid> ............ Kick a user out of the chat\r\n"
#define MSG_HELP60	"/ADMIN KICKOUTTIME <time> ............ Set the Kickouttime\r\n"
#define MSG_HELP61	"/ADMIN LIST.............................. List ALL channel\r\n"
#define MSG_HELP62	"/ADMIN LOGIN <password> ........... Login as administrator\r\n"
#define MSG_HELP63	"/ADMIN LOGLEVEL <level> ................. Set the Loglevel\r\n"
#define MSG_HELP64	"/GRPADMIN ...... Create/change/remove a group (NO /ADMIN!)\r\n"
#define MSG_HELP65	"/ADMIN OWN <uid> .................... Change channel owner\r\n"
#define MSG_HELP66	"/ADMIN REMOVE .................. Remove hostmask from list\r\n"
#define MSG_HELP67	"/ADMIN SHUTDOWN <password> ........... Shutdown the server\r\n"
#define MSG_HELP68	"/ADMIN STAT ........................ Display server status\r\n"
#define MSG_HELP69	"/ADMIN SYSCHANNEL <channel name> . Create a system channel\r\n"
#define MSG_HELP70	"/ADMIN SYSMSG <on/off> ............ Enable System-Messages\r\n"
#define MSG_HELP71	"/ADMIN TOPIC <channel name> ..... Change the channel topic\r\n"
#define MSG_HELP72	"/ADMIN UNIQUE <yes/no>.............Enable unique nicknames\r\n"
#define MSG_HELP73	"/ADMIN WHOIS .............................. List ALL users\r\n"

